Subject: Re: [Intel-wired-lan] [PATCH net-next v2 00/15] Introduce Intel IDPF driver

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Apr 2023 09:38:32 -0700

On Sat, 15 Apr 2023 13:16:23 -0400 Sasha Levin wrote:
> Sorry, I may not have explained myself well. My concern is not around
> what's standard and what's not, nor around where in the kernel tree
> these drivers live.

My bad, I thought you were looking at this from the stable tree's angle.

> I'm concerned that down the road we may end up with two drivers that
> have the same name, and are working with hardware so similar that it
> might be confusing to understand which driver a user should be using.
> 
> Yes, it's not something too big, but we have an opportunity to think
> about this before committing to anything that might be a pain down the
> road.

Indeed, the "update" Willem mentioned should be at most a quirk or
capability exchange with the device within this driver. Two drivers
would be unacceptable.